## gazelle-installer 1.0.4.7

=== debian/changelog ===
gazelle-installer (1.0.4.7) unstable; urgency=medium

  * revert back to symlink /tmp to /var/tmp

 -- anticapitalista <antix@operamail.com>  Thu, 27 Dec 2018 19:35:17 +0200

gazelle-installer (1.0.4.6) unstable; urgency=medium

  * remove symlink /tmp to /var/tmp
  * msystem.png to /usr/share/icons/

 -- anticapitalista <antix@operamail.com>  Sun, 23 Dec 2018 17:13:57 +0200

gazelle-installer (1.0.4.5) unstable; urgency=medium

  * include full disk encryption

 -- anticapitalista <antix@operamail.com>  Sun, 18 Nov 2018 18:23:23 +0200

gazelle-installer (1.0.4.4) unstable; urgency=medium

  * include svg image of msystem
  * new da translation
  * modify /etc/adjtime setting for LOCAL/UTC 

 -- anticapitalista <antix@operamail.com>  Thu, 18 Oct 2018 15:19:17 +0300

gazelle-installer (1.0.4.3) unstable; urgency=medium

  * up to date with upstream

 -- anticapitalista <antix@operamail.com>  Mon, 08 Oct 2018 16:46:32 +0300

gazelle-installer (1.0.4.2) unstable; urgency=medium

  * update translations

 -- anticapitalista <antix@operamail.com>  Mon, 24 Sep 2018 21:13:24 +0300

gazelle-installer (1.0.4.1) unstable; urgency=medium

  * use libcmd to call gparted...fix to video corruption issue

 -- anticapitalista <antix@operamail.com>  Thu, 10 May 2018 14:13:22 +0300

gazelle-installer (1.0.4) unstable; urgency=medium

  * new -O switch for make-fstab
  * Adrian's changes

 -- anticapitalista <antix@operamail.com>  Thu, 03 May 2018 16:41:49 +0300

gazelle-installer (1.0.3) unstable; urgency=medium

  * working on making POPULATE_MEDIA_MOUNTPOINTS configurable with btrfs changes 
  * moved rc.local.install and live-to-install scripts to data deb

 -- anticapitalista <antix@operamail.com>  Tue, 01 May 2018 19:20:25 +0300

gazelle-installer (1.0.1) unstable; urgency=medium

  * more btrfs options

 -- anticapitalista <antix@operamail.com>  Tue, 24 Apr 2018 19:27:25 +0300

gazelle-installer (1.0.0) unstable; urgency=medium

  * antiX build of generic gazelle installer

 -- anticapitalista <antix@operamail.com>  Wed, 18 Apr 2018 14:01:29 +0300

antix-installer (0.8.14) unstable; urgency=medium

  * Various translation improvements

 -- anticapitalista <antix@operamail.com>  Fri, 02 Mar 2018 20:43:39 +0200

antix-installer (0.8.13) unstable; urgency=medium

  * Links to new antiX forums

 -- anticapitalista <antix@operamail.com>  Sun, 05 Nov 2017 14:25:25 +0200

antix-installer (0.8.12) unstable; urgency=medium

  * remove persistence desktop files from installed menu

 -- anticapitalista <antix@operamail.com>  Sun, 08 Oct 2017 19:51:44 +0300

antix-installer (0.8.11) unstable; urgency=medium

  * add "--mntpnt=media" to make-fstab call
  * live-to-installed - changed path from etc to lib in lib/udev/rules.d/92-console-font.rules

 -- anticapitalista <antix@operamail.com>  Fri, 29 Sep 2017 17:14:09 +0300

antix-installer (0.8.10) unstable; urgency=medium

  * live-to-installed changes to Remove 92-console-font.rules
  * changing the cp commands in the timezone setting routine to ln -nfs

 -- anticapitalista <antix@operamail.com>  Wed, 06 Sep 2017 19:53:04 +0100

antix-installer (0.8.9) unstable; urgency=medium

  * removed keyboard setting in stage 6

 -- anticapitalista <antix@operamail.com>  Mon, 03 Jul 2017 02:25:23 +0300

antix-installer (0.8.8) unstable; urgency=medium

  * fix for some Dells

 -- anticapitalista <antix@operamail.com>  Sun, 25 Jun 2017 15:28:49 +0300

antix-installer (0.8.7) jessie; urgency=medium

  * various bugfixes
  * remove installer icon when using spacefm
  * if save desktop defults is set, still run live-to-installed

 -- anticapitalista <antix@operamail.com>  Sat, 15 Apr 2017 15:23:20 +0300

antix-installer (0.8.6) unstable; urgency=medium

  * Remove virtualbox-guest depends

 -- anticapitalista <antix@operamail.com>  Mon, 10 Apr 2017 20:47:37 +0300

antix-installer (0.8.5) unstable; urgency=medium

  * Improved translations

 -- anticapitalista <antix@operamail.com>  Sun, 02 Apr 2017 19:02:28 +0300

antix-installer (0.8.4) unstable; urgency=medium

  * Detect and warn user if using 32 bit iso booting UEFI

 -- anticapitalista <antix@operamail.com>  Fri, 24 Mar 2017 18:27:59 +0200

antix-installer (0.8.3) unstable; urgency=medium

  * 32 bit to default not to install grub in gpt

 -- anticapitalista <antix@operamail.com>  Thu, 09 Mar 2017 10:57:35 +0200

antix-installer (0.8.2) unstable; urgency=medium

  * Auto-install allows for eufi booting - 64 bit only - Adrian

 -- anticapitalista <antix@operamail.com>  Mon, 06 Mar 2017 19:54:59 +0200

antix-installer (0.8.1) unstable; urgency=medium

  * Labelled default partition name to rootantix so xfs file system will work
  * Correcte MX Linux address
  * Updated translations

 -- anticapitalista <antix@operamail.com>  Mon, 27 Feb 2017 18:21:44 +0200

antix-installer (0.8.0) unstable; urgency=medium

  * Bumped version for stretch release
  * Changed rc2-5 numbers to turn off on install

 -- anticapitalista <antix@operamail.com>  Mon, 20 Feb 2017 22:05:07 +0200

antix-installer (0.7.3.8) unstable; urgency=medium

  * Added lightdm settings
  * Minor text edits

 -- anticapitalista <antix@operamail.com>  Sat, 04 Feb 2017 18:08:29 +0200

antix-installer (0.7.3.6) unstable; urgency=medium

  * Changed size limitation to 2 GB

 -- anticapitalista <antix@operamail.com>  Sun, 10 Jul 2016 17:18:08 +0100

antix-installer (0.7.3.5) unstable; urgency=medium

  * Removed capital letters block, but kept other restrictions

 -- anticapitalista <antix@operamail.com>  Fri, 24 Jun 2016 13:39:09 +0300

antix-installer (0.7.3.3) unstable; urgency=medium

  * Fixed correct path to issue file 

 -- anticapitalista <antiX@operamail.com>  Fri, 06 May 2016 11:57:45 -0400

antix-installer (0.7.3.2) unstable; urgency=medium

  * Do not display username when no autologin is selected

 -- anticapitalista <antiX@operamail.com>  Tue, 26 Apr 2016 08:41:47 -0400

antix-installer (0.7.3.1) unstable; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease src.pro
	dh_auto_build -- $(MAKE_OPTS)

# Uncomment if building in Virtual Box
# override_dh_shlibdeps:
#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@

## gazelle-installer 1.0.4.8

=== debian/changelog ===
gazelle-installer (1.0.4.8) unstable; urgency=medium

  * remove symlink /tmp to /var/tmp
  * change isUefi to run only once and use system() calls 
 
 -- anticapitalista <antix@operamail.com>  Mon, 21 Jan 2019 16:11:02 +0200

## gazelle-installer 1.0.4.9

=== debian/changelog ===
gazelle-installer (1.0.4.9) unstable; urgency=medium

  * updated translations

 -- anticapitalista <antix@operamail.com>  Sat, 26 Jan 2019 22:35:23 +0200

## gazelle-installer 1.0.4.10

=== debian/changelog ===
gazelle-installer (1.0.4.10) unstable; urgency=medium

  * fix typo defauts i swap partition

 -- anticapitalista <antix@operamail.com>  Fri, 15 Feb 2019 21:27:17 +0200

## gazelle-installer 1.0.4.11

=== debian/changelog ===
gazelle-installer (1.0.4.11) unstable; urgency=medium

  * updated pl

 -- anticapitalista <antix@operamail.com>  Sun, 03 Mar 2019 20:02:17 +0200

## gazelle-installer 1.0.4.12

=== debian/changelog ===
gazelle-installer (1.0.4.12) unstable; urgency=medium

  * 17.4.1 version
  * removed Repo select option

 -- anticapitalista <antix@operamail.com>  Tue, 26 Mar 2019 12:06:11 +0200

## gazelle-installer 25.10.05

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31 FATAL_ERROR)
include(build.cmake)

project(minstall
	VERSION 6.0
	DESCRIPTION "Gazelle Installer for antiX Linux and MX Linux"
	LANGUAGES CXX
)
# TODO: Remove for final release
set(PROJECT_VERSION "${PROJECT_VERSION}-ALPHA")

find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets Concurrent LinguistTools)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 23)
#set(CMAKE_CXX_SCAN_FOR_MODULES ON)

qt_standard_project_setup()

qt_add_executable(minstall
	app.cpp
	autopart.cpp autopart.h
	base.cpp base.h
	bootman.cpp bootman.h
	checkmd5.cpp checkmd5.h
	core.cpp core.h
	crypto.cpp crypto.h
	minstall.cpp minstall.h
	mprocess.cpp mprocess.h
	msettings.cpp msettings.h
	mtreeview.cpp mtreeview.h
	oobe.cpp oobe.h
	partman.cpp partman.h
	passedit.cpp passedit.h
	replacer.cpp replacer.h
	swapman.cpp swapman.h
	images.qrc
)
qt_add_ui(minstall SOURCES
	meinstall.ui
)
#target_sources(minstall PRIVATE FILE_SET CXX_MODULES FILES
#	TODO: add files that are C++20 modules.
#)

target_link_libraries(minstall PRIVATE
	Qt::Core
	Qt::Gui
	Qt::Widgets
	Qt::Concurrent
	zxcvbn
)

build_compilation_setup(minstall)
build_version_definition(minstall VERSION)
build_translation_files(minstall translations)

target_compile_definitions(minstall PRIVATE
	QT_DISABLE_DEPRECATED_UP_TO=0x060800
	CODEBASE_VERSION="${PROJECT_VERSION}"
)

include(GNUInstallDirs)
install(TARGETS minstall
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

## gazelle-installer 1.0.5

=== debian/changelog ===
gazelle-installer (1.0.5) unstable; urgency=medium

  * incorporated AK-47 changes
  * time-saving branch: enter user information while copying files
  * fixed some user account issues
  * GUI stability improvement
  * reduce CLI spam
  * improve copy progress update
  * simplified the copy and delete process handling code
  * build the service list before the install starts
  * implement the automatic exit action options
  * improve password box red and green contrast
  * various fixes
  * remove logo from button bar
  * change icon
  * Moved the disk check into the installation phase
  * Revamped the error handling for faster abortions. This makes abortions less likely to corrupt data
  * Lock the entire page when busy, rather than just specific controls. Indicate to the user when busy by changing the cursor to suit.

 -- anticapitalista <antix@operamail.com>  Sun, 05 May 2019 17:07:24 +0300

gazelle-installer (1.0.4.13) unstable; urgency=medium

  * advanced encryption options
  * code cleanup 

 -- anticapitalista <antix@operamail.com>  Mon, 08 Apr 2019 16:59:43 +0300

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>= 9.20120115)
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: antix-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
         installer-data-antix, 
         fskbsetting, 
         os-prober, 
         gdisk, 
         partition-info , 
         antix-libs, 
         grub-efi-amd64-bin [amd64], 
         grub-efi-ia32-bin, 
         parted, 
         cryptsetup
Recommends: gparted
Description: Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 1.0.6

=== debian/changelog ===
gazelle-installer (1.0.6) unstable; urgency=medium

  * Assorted improvements
  * Preparation for automatic installation
  * Store the actual hash name in the config file instead of processed version

 -- anticapitalista <antix@operamail.com>  Tue, 04 Jun 2019 15:42:38 +0300

## gazelle-installer 1.0.7

=== debian/changelog ===
gazelle-installer (1.0.7) unstable; urgency=medium

  * Moved the Version setting into the Setup section.
  * Fixed: service selection was not stashed.

 -- anticapitalista <antix@operamail.com>  Sun, 16 Jun 2019 17:46:47 +0300

## gazelle-installer 1.0.8

=== debian/changelog ===
gazelle-installer (1.0.8) unstable; urgency=medium

  * upstream version 19.7
  * Process xfce4-datetime-plugin configuration. 
  * added -gpt-override option
  * Check the SMART status of all target drives
  * Improved support for >=2TB drives on non-EFI systems.
  * Added --config option to select a configuration file.
  * Changed default configuration file locations to prevent files containing passwords being copied.
  * Bug fixes.
  * Fixed: GPT formatted drives not detected properly.
  * Fixed: live boot medium would appear in combo boxes.
  * Fixed: home type combo box disabled until changed.
  * Harden test: used /bin/ls -1 

 -- anticapitalista <antix@operamail.com>  Fri, 28 Jun 2019 18:48:03 +0300

## gazelle-installer 1.0.9

=== debian/changelog ===
gazelle-installer (1.0.9) unstable; urgency=medium

  * Fixed: incomplete boot flag propagation in block device list
  * Make INSTALL_FROM_ROOT_DEVICE override all boot combo filters. 

 -- anticapitalista <antix@operamail.com>  Sun, 07 Jul 2019 14:41:22 +0300

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_build:
 	lrelease src.pro
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
 
 # Uncomment if building in Virtual Box

## gazelle-installer 1.1.0

=== debian/changelog ===
gazelle-installer (1.1.0) unstable; urgency=medium

  * antix automount fixes
  * fix for more than 15 partitions bug 
  * upstream VERSION "19.8"

 -- anticapitalista <antix@operamail.com>  Thu, 15 Aug 2019 18:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,6 @@
          grub-efi-ia32-bin, 
          parted, 
          cryptsetup
-Recommends: gparted
+Recommends: gparted | partitionmanager
 Description: Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 1.1.1

=== debian/changelog ===
gazelle-installer (1.1.1) unstable; urgency=medium

  * Fixed: mount options for BTRFS compression are not respected
  * thanks to chkboom

 -- anticapitalista <antix@operamail.com>  Mon, 19 Aug 2019 16:43:06 +0100

## gazelle-installer 1.1.2

=== debian/changelog ===
gazelle-installer (1.1.2) unstable; urgency=medium

  * further fixes - thanks to chkboom nd eugenb 
  * Separated root and boot mount options

 -- anticapitalista <antix@operamail.com>  Tue, 20 Aug 2019 18:02:15 +0100

## gazelle-installer 1.1.3

=== debian/changelog ===
gazelle-installer (1.1.3) unstable; urgency=medium

  * improved the debug output

 -- anticapitalista <antix@operamail.com>  Mon, 26 Aug 2019 16:51:08 +0100

## gazelle-installer 1.1.4

=== debian/changelog ===
gazelle-installer (1.1.4) unstable; urgency=medium

  * Make partprobe verbose

 -- anticapitalista <antix@operamail.com>  Sat, 12 Oct 2019 15:45:14 +0300

## gazelle-installer 1.1.5

=== debian/changelog ===
gazelle-installer (1.1.5) unstable; urgency=medium

  * added sleeps 

 -- anticapitalista <antix@operamail.com>  Mon, 14 Oct 2019 23:36:27 +0300

## gazelle-installer 1.1.6

=== debian/changelog ===
gazelle-installer (1.1.6) unstable; urgency=medium

  * Fixed: ext4 format with bad blocks check fails if a file system exists

 -- anticapitalista <antix@operamail.com>  Tue, 15 Oct 2019 15:15:32 +0300

## gazelle-installer 1.1.7

=== debian/changelog ===
gazelle-installer (1.1.7) unstable; urgency=medium

  * Now requires Qt 5.10 or later
  * Fixed: Next button is disabled if swap encryption is disabled in configuration

 -- anticapitalista <antix@operamail.com>  Wed, 16 Oct 2019 10:05:53 +0300

## gazelle-installer 1.2.0

=== debian/changelog ===
gazelle-installer (1.2.0) unstable; urgency=medium

  * Converted the old home action message box into a page

 -- anticapitalista <antix@operamail.com>  Thu, 24 Oct 2019 15:34:33 +0300

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: 
	debhelper (>= 9.2), 
	qtbase5-dev, 
	qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: antix-installer
Architecture: any
Depends: antix-libs,
         cryptsetup,
         fskbsetting,
         installer-data-antix, 
         gdisk,
         grub-efi-amd64-bin [amd64],
         grub-efi-ia32-bin,
         os-prober,
         parted,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gparted | partitionmanager
Description: Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 1.2.1

=== debian/changelog ===
gazelle-installer (1.2.1) unstabe; urgency=medium

  * hide minstall.conf feature behind the --config switch
  * added /run as mountpoint

 -- anticapitalista <antix@operamail.com>  Wed, 06 Nov 2019 14:36:00 +0200

## gazelle-installer 1.2.2

=== debian/changelog ===
gazelle-installer (1.2.2) unstable; urgency=medium

  * Fix swap detection

 -- anticapitalista <antix@operamail.com>  Sun, 10 Nov 2019 15:56:45 +0200

## gazelle-installer 1.2.3

=== debian/changelog ===
gazelle-installer (1.2.3) unstable; urgency=medium

  * adjust preserve saving existing home partition function
  * adjust gui message at start of installer
  * adjust end message at install completion
  * add clearpartitiontables function (based on LUM)
  * revise calculation for min partition size

 -- anticapitalista <antix@operamail.com>  Sun, 08 Dec 2019 13:18:46 +0200

## gazelle-installer 1.2.4

=== debian/changelog ===
gazelle-installer (1.2.4) unstable; urgency=medium

  * absolute paths, no need to add the /home/user in front
  * use -print0
  * offer user creation if remastered demo folder is present

 -- anticapitalista <antix@operamail.com>  Tue, 07 Jan 2020 13:40:50 +0200

## gazelle-installer 1.2.5

=== debian/changelog ===
gazelle-installer (1.2.5) unstable; urgency=medium

  * updated translations

 -- anticapitalista <antix@operamail.com>  Tue, 11 Feb 2020 15:16:23 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,6 @@
 Package: antix-installer
 Architecture: any
 Depends: antix-libs,
-         cryptsetup,
-         fskbsetting,
          installer-data-antix, 
          gdisk,
          grub-efi-amd64-bin [amd64],
@@ -23,6 +21,6 @@
          parted,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gparted | partitionmanager
+Recommends: gparted | partitionmanager, cryptsetup, fskbsetting,
 Description: Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 1.3.0

=== debian/changelog ===
gazelle-installer (1.3.0) unstable; urgency=medium

  * Fixed: Copying and renaming /etc/skel
  * Fixed: Microsoft Reserved partition incorrectly flagged as LDM
  * Added assembly-line mode (--oem) and integrated out-of-box experience

 -- anticapitalista <antix@operamail.com>  Wed, 27 May 2020 15:07:44 +0300

## gazelle-installer 1.3.1

=== debian/changelog ===
gazelle-installer (1.3.1) unstable; urgency=medium

  * added oobe script to /etc/init.d

 -- anticapitalista <antix@operamail.com>  Tue, 02 Jun 2020 17:24:41 +0300

## gazelle-installer 1.3.2

=== debian/changelog ===
gazelle-installer (1.3.2) unstable; urgency=medium

  * now that directory is moved or deleted, make new one fix

 -- anticapitalista <antix@operamail.com>  Thu, 30 Jul 2020 14:23:23 +0300

## gazelle-installer 1.3.4

=== debian/changelog ===
gazelle-installer (1.3.4) unstable; urgency=medium

  * add /dev to parted -s command for esp setting. (fehlix) 

 -- anticapitalista <antix@operamail.com>  Sun, 01 Nov 2020 14:03:16 +0200

gazelle-installer (1.3.3) unstable; urgency=medium

  * improved fr, nb, pt, pt_BR

 -- anticapitalista <antix@operamail.com>  Thu, 08 Oct 2020 14:48:14 +0300

## gazelle-installer 1.3.5

=== debian/changelog ===
gazelle-installer (1.3.5) unstable; urgency=medium

  * added gl_ES

 -- anticapitalista <antix@operamail.com>  Sat, 28 Nov 2020 17:03:12 +0200

## gazelle-installer 1.4.0

=== debian/changelog ===
gazelle-installer (1.4.0) unstable; urgency=medium

  * antiX bullseye build

 -- anticapitalista <antix@operamail.com>  Tue, 22 Dec 2020 15:01:44 +0200

## gazelle-installer 1.4.1

=== debian/changelog ===
gazelle-installer (1.4.1) unstable; urgency=medium

  * various upstream improvements

 -- anticapitalista <antix@operamail.com>  Tue, 02 Feb 2021 20:04:23 +0200

## gazelle-installer 1.4.2

=== debian/changelog ===
gazelle-installer (1.4.2) unstable; urgency=medium

  * various upstream additions by AK-47

 -- anticapitalista <antix@operamail.com>  Mon, 01 Mar 2021 15:25:28 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,9 @@
          grub-efi-ia32-bin,
          os-prober,
          parted,
+         system-keyboard-qt | fskbsetting,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gparted | partitionmanager, cryptsetup, fskbsetting,
+Recommends: gparted | partitionmanager, cryptsetup 
 Description: Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 1.5.0

=== debian/changelog ===
gazelle-installer (1.5.0) unstable; urgency=medium

  * various bugfixes

 -- anticapitalista <antix@operamail.com>  Sun, 04 Apr 2021 20:22:03 +0300

## gazelle-installer 1.5.1

=== debian/changelog ===
gazelle-installer (1.5.1) unstable; urgency=medium

  * Virtual devices (such as LVM or software RAID volumes) can now be chosen
  * Added mount-keep command-line option to keep mount points open when the installer is finished
  * Support BTRFS subvolumes in the configuration file.
  * Only change non-empty label fields if the user has not modified them
  * Disable the label field if preserving a subvolume.

 -- anticapitalista <antix@operamail.com>  Tue, 18 May 2021 13:28:19 +0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
          grub-efi-ia32-bin,
          os-prober,
          parted,
-         system-keyboard-qt | fskbsetting,
+	 system-keyboard-qt,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gparted | partitionmanager, cryptsetup

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export QT_SELECT=5
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5

## gazelle-installer 1.5.2

=== debian/changelog ===
gazelle-installer (1.5.2) unstable; urgency=medium

  * Reduced process spawning to obtain GPT vs MBR info.
  * Improved overall progress bar accuracy and range.
  * Fixed: progress bar not updating when copying to Btrfs partition.
  * Make BIOS-GRUB partition selection work again.
  * Overwrite a new BIOS-GRUB partition with zeros before using it.
  * Fixed: subvolumes are not shown in confirmation messages.
  * Simplified partition table clearing routine.
  * Preserve home partition by default if selected and possible.
  * Various other fixes and improvements.

 -- anticapitalista <antix@operamail.com>  Sun, 23 May 2021 19:14:35 +0300

## gazelle-installer 1.5.3

=== debian/changelog ===
gazelle-installer (1.5.3) unstable; urgency=medium

  * Combine LUKS steps into format loop.
  * Fixed LUKS volume progress feedback.
  * Remove some 1-second sleeps. (Bullseye only)
  * Reduce superfluous differences from master. (Buster only)
  * Removed all Advanced Encryption Settings code.
  * Fixed: "Preserve /home" and "Preserve" text out of sync.
  * Disable label fields on partitions that are being preserved.
  * added slimski autlogin options
  * Fixed: slider value can change when the desktop theme changes
  * Prevent the slider from setting an undersized home partition
  * Be generous with recommended root size
  * Simplified handling of Samba daemons
  * Fixed subvolume label validation for special characters
  * Fixed: no subvolume validation for non-mount subvolumes
  * Slider now defaults to 100% (home in root) regardless of drive size
  * Fixed: cannot add partitions to a drive with zero partitions
  * New partitions no longer default to the maximum possible size

 -- anticapitalista <antix@operamail.com>  Tue, 10 Aug 2021 22:49:20 +0300

## gazelle-installer 1.5.4

=== debian/changelog ===
gazelle-installer (1.5.4) unstable; urgency=medium

  * Fixed: validation segmentation fault if there are virtual devices.

 -- anticapitalista <antix@operamail.com>  Sat, 14 Aug 2021 15:18:55 +0300

## gazelle-installer 1.6.0

=== debian/changelog ===
gazelle-installer (1.6.0) unstable; urgency=medium

  * Allow bad block checks to be setup per partition instead of everything.* Select the whole row when adding the partition.
  * Correct the device when selecting a combo box item, without Enter.
  * Eliminate Hobson's combo boxes.
  * Fixed: cannot add partitions to new layout.
  * Fixed: default size of 0MB for new partitions.
  * Do not start the install if the root partition is too small.
  * Display drive model and free space in tool tip instead of the Label field.
  * Only allow up to 128 partitions (Linux GPT limit).
  * Fixed: preserving of /home can fail if encryption is de-selected.
  * List partitions that will be created without formatting.
  * Fixed: only swap partitions displayed in PBR combo box.
  * Consider all combo options for partition manager cell sizes.
  * Consolidated model code and disk detection into partition manager.
  * Fix row heights and increase indicator frame thickness to 2.
  * Fixed various segmentation fault conditions.
  * Do not show root in Use For combo if the partition is too small.
  * Fixed: swap partitions and some LUKS volumes appear in PBR list.
  * Fixed incorrect preservation/format logic.
  * Fixed: "Format" item not at the top of the list.
  * Partition manager UX improvements.
  * Fixed: can edit "Virtual Devices" header columns.
  * Main lock file no longer needed for pretend mode.
  * Translator setup moved further back to the start. 
  * Allow multiple EFI System Partitions to be created.
  * Removed native partition warning.
  * Model-View-Controller partition manager architecture.
  * Usability improvements and bug fixes.
  * Translations updated.
  * Create /etc/machine-id for systems that use systemd
  * Exclude .config/session when saving /home/demo
  * Fixed: wrong actions and options enabled if the layout is reset.
  * Stop generating unknown "nofail" option for crypttab. 
  * Allow user to configure dump and pass options.
  * Updated partition manger help pane text.
  * Fixed: swap causes umount to be executed twice.
  * Updated media source list.
  * Dump the stderr from the copy into the log.
  * Minor GUI improvements.
  * Exclude gazelle.lnk for idesktop desktops.
  * Fixed: /var/log/minstall.log not written.
  * Prevent some potential crash situations.

 -- anticapitalista <antix@operamail.com>  Fri, 24 Sep 2021 15:02:36 +0300

gazelle-installer (1.5.4) buster; urgency=medium

  * Fixed: validation segmentation fault if there are virtual devices.

 -- anticapitalista <antix@operamail.com>  Sat, 14 Aug 2021 15:10:34 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: anticapitalista <antix@operamail.com>
 XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
 Build-Depends: 
-	debhelper (>= 9.2), 
+	debhelper (>= 10), 
 	qtbase5-dev, 
 	qttools5-dev-tools
 Standards-Version: 3.9.8

## gazelle-installer 1.6.1

=== debian/changelog ===
gazelle-installer (1.6.1) unstable; urgency=medium

  * Fixed: duplicate boot partition in configuration.
  * List partitions in order of physical location on the disk.
  * EFI System Partition formatting and validation fixes.   
  * Increase size limit of boot and EFI System partition to 8GB.
  * Allow bad block check for the EFI System Partition.
  * Virtual device detection, listing and editing fixes.
  * Minor partition manager GUI bug fixes.
  * Fixed: artifact in top-left corner if cursor is in a child of a collapsed item
  * Fixed: ESP not automatically selected the first time.
  * Fixed: Auto-selected ESP format not set to PRESERVE.
  * Fixed: unselected drives without partitions are wiped.
  * Fixed: old partitions not detached before clearing the drive. 
  * Fixed: blank drive considered an old, locked layout.
  * Fixed: blank drives formatted as MBR on EFI systems.
  * Fixed: combo box drop-down list gets duplicated when an entry is chosen.
  * Use the maximum available space when zero is entered.
  * Lowered the likely excessive safety margin to 8MB.

 -- anticapitalista <antix@operamail.com>  Mon, 04 Oct 2021 21:26:39 +0300

## gazelle-installer 1.6.2

=== debian/changelog ===
gazelle-installer (1.6.2) unstable; urgency=medium

  * Fixed: Label field editable when preserving format. 
  * Fixed: some extended partition types appear in the list.
  * Fixed: ESPs on MBR (type 0xEF) are not selected for ESP.
  * Fixed: incorrect sector size on new layouts
  * Fixed: setting up machine-id (MX Linux and systemd)

 -- anticapitalista <antix@operamail.com>  Fri, 08 Oct 2021 11:26:50 +0300

## gazelle-installer 1.6.3

=== debian/changelog ===
gazelle-installer (1.6.3) unstable; urgency=medium

  * translation updates
  * Fixed: no possible uses listed for subvolumes

 -- anticapitalista <antix@operamail.com>  Sat, 16 Oct 2021 13:43:34 +0300

## gazelle-installer 1.6.4

=== debian/changelog ===
gazelle-installer (1.6.4) unstable; urgency=medium

  * Hide the live boot media and its partitions by default

 -- anticapitalista <antix@operamail.com>  Thu, 21 Oct 2021 18:45:38 +0300

## gazelle-installer 1.6.5

=== debian/changelog ===
gazelle-installer (1.6.5) unstable; urgency=medium

  * Fixed: wrong partition selected for PBR installation.
  * Reduce live log noise.
  * Fixed: wrong boot device may be selected if root is on a subvolume.
  * Fixed: selecting root on subvolume does not activate the partition.
  * Fixed: wrong boot device may be selected by default.
  * Fixed: stale ESPs may appear in the list.
  * Use an asterisk (*) instead of italics for the active partition.
  * Replace "Boot flag" references with "Active partition" references.
  * Fixed: active partition set for GPT drive on UEFI systems.
  * Show the partition table format that is, or will be, used.

 -- anticapitalista <antix@operamail.com>  Mon, 25 Oct 2021 17:18:07 +0300

## gazelle-installer 1.6.6

=== debian/changelog ===
gazelle-installer (1.6.6) unstable; urgency=medium

  * use unlink for runit instead of creating a down file

 -- anticapitalista <antix@operamail.com>  Mon, 06 Dec 2021 12:33:26 +0200

## gazelle-installer 1.6.7

=== debian/changelog ===
gazelle-installer (1.6.7) unstable; urgency=medium

  * Fixed condition which could break snapshot user account detection

 -- anticapitalista <antix@operamail.com>  Fri, 15 Apr 2022 11:02:34 +0300

gazelle-installer (1.6.6) buster; urgency=medium

  * use unlink for runit rather than down file 

 -- anticapitalista <antix@operamail.com>  Mon, 24 Jan 2022 12:44:54 -0500

gazelle-installer (1.6.5) buster; urgency=medium

  * Fixed: wrong partition selected for PBR installation.
  * Reduce live log noise.
  * Fixed: wrong boot device may be selected if root is on a subvolume.
  * Fixed: selecting root on subvolume does not activate the partition.
  * Fixed: wrong boot device may be selected by default.
  * Fixed: stale ESPs may appear in the list.
  * Use an asterisk (*) instead of italics for the active partition.
  * Replace "Boot flag" references with "Active partition" references.
  * Fixed: active partition set for GPT drive on UEFI systems.
  * Show the partition table format that is, or will be, used.

 -- anticapitalista <antix@operamail.com>  Mon, 25 Oct 2021 17:18:07 +0300

## gazelle-installer 1.6.8

=== debian/changelog ===
gazelle-installer (1.6.8) unstable; urgency=medium

  * Draw arrows in the partition list fields to indicate drop-down lists
  * Obtain device paths from the OS instead of guessing them

 -- anticapitalista <antix@operamail.com>  Fri, 07 Jan 2022 19:27:49 +0200

## gazelle-installer 1.6.9

=== debian/changelog ===
gazelle-installer (1.6.9) unstable; urgency=medium

  * explicitly set default btrfs subvolume to root subvolume

 -- anticapitalista <antix@operamail.com>  Fri, 11 Feb 2022 14:34:58 +0200

## gazelle-installer 1.6.10

=== debian/changelog ===
gazelle-installer (1.6.10) unstable; urgency=medium

  * Remove C.UTF-8 from raw command; it fails on raw commands
  * Fix for lsblk output when using Turkish locale

 -- anticapitalista <antix@operamail.com>  Mon, 21 Feb 2022 18:25:58 +0200

## gazelle-installer 1.6.11

=== debian/changelog ===
gazelle-installer (1.6.11) unstable; urgency=medium

  * Detect solid-state drives and activate supported enhancements
  * Improved and fixed installation abortion mechanism
  * Show failures in the live log
  * The "-" button can now remove subvolumes from the list
  * Revamped execution procedures to take advantage of separated arguments for executables. This reduces the need for character escaping and quotes, and removes the confusion between "raw" and "non-raw" commands
  * Use the "exec" functions to run executables with simple commands consisting of the program and an array of arguments. Use the "shell" functions to run complex script lines that require a shell to interpret it
  * Built chroot facility into MProcess to improve efficiency when executing multiple commands in the same chroot environment
  * Eliminate reiserfs, which is now officially deprecated in the Linux kernel
  * Fix encrypted format-only volumes and btrfs subvolumes
  * Make sure all processes are run with C.UTF-8 localization
  * Fix encoding issue in Services view

 -- anticapitalista <antix@operamail.com>  Tue, 08 Mar 2022 17:39:25 +0200

## gazelle-installer 1.6.12

=== debian/changelog ===
gazelle-installer (1.6.12) unstable; urgency=medium

  * Fixed excessively-pessimistic disk space estimate
  * Fixed condition which could break snapshot user account detection
  * Relax some disk space safety factors

 -- anticapitalista <antix@operamail.com>  Mon, 14 Mar 2022 19:01:00 +0200

## gazelle-installer 1.6.13

=== debian/changelog ===
gazelle-installer (1.6.13) unstable; urgency=medium

  * Fixed: wrong part of command output used for fallback space calculation
  * Fixed: linuxfs.info created if it does not already exist. Eliminate confusion within the image information log message

 -- anticapitalista <antix@operamail.com>  Tue, 22 Mar 2022 21:48:05 +0200

gazelle-installer (1.6.12.1) unstable; urgency=medium

  * Fixed: BIOS-GRUB partition added to fstab
  * Fixed a condition which could cause the wrong disk space method to be used
  * New and improved help backdrop display technique
  * Added splash screen throbber to detect freeze at startup and OOBE setup
  * Improved disk space calculation methods and made them less pessimistic

 -- anticapitalista <antix@operamail.com>  Mon, 21 Mar 2022 18:48:58 +0200

## gazelle-installer 1.6.14

=== debian/changelog ===
gazelle-installer (1.6.14) unstable; urgency=medium

  * Disable regular install if there are no suitable full-disk targets. GUI layout fix for regular install options
  * Use C++ exceptions for error handling

 -- anticapitalista <antix@operamail.com>  Sun, 27 Mar 2022 12:34:38 +0300

## gazelle-installer 1.7.0

=== debian/changelog ===
gazelle-installer (1.7.0) unstable; urgency=medium

  * Fixed partition manager error handling
  * Use full device path for umount/swapoff during preparation
  * bump version

 -- anticapitalista <antix@operamail.com>  Mon, 28 Mar 2022 13:45:20 +0300

## gazelle-installer 1.7.1

=== debian/changelog ===
gazelle-installer (1.7.1) unstable; urgency=medium

  * Added SPLASH_THROBBER config option to enable/disable the splash throbber

 -- anticapitalista <antix@operamail.com>  Mon, 18 Apr 2022 12:03:39 +0300

## gazelle-installer 1.7.2

=== debian/changelog ===
gazelle-installer (1.7.2) unstable; urgency=medium

  * updated trnslations

 -- anticapitalista <antix@operamail.com>  Mon, 20 Jun 2022 13:17:44 +0300

## gazelle-installer 1.8.0

=== debian/changelog ===
gazelle-installer (1.8.0) unstable; urgency=medium

  * various upstream changes
  * synced to be up to date with MX version
  * bump version number

 -- anticapitalista <antix@operamail.com>  Tue, 23 Aug 2022 20:08:10 +0300

gazelle-installer (1.7.3) unstable; urgency=medium

  * further updated translations

 -- anticapitalista <antix@operamail.com>  Mon, 22 Aug 2022 16:08:46 +0300

## gazelle-installer 1.8.1

=== debian/changelog ===
gazelle-installer (1.8.1) unstable; urgency=medium

  * Fixed: unable to recognise squashfs not named "linuxfs".

 -- anticapitalista <antix@operamail.com>  Mon, 12 Sep 2022 00:24:16 +0300

## gazelle-installer 1.8.2

=== debian/changelog ===
gazelle-installer (1.8.2)  unstable; urgency=medium

  * Log entries as MProcess::Standard by default
  * Replace deprecated egrep with grep -E

 -- anticapitalista <antix@operamail.com>  Sun, 25 Sep 2022 12:47:51 +0300

## gazelle-installer 19.3

=== debian/changelog ===
gazelle-installer (19.3) mx; urgency=medium

  * run partition-manager if gparted not available
  * align partitions

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Mar 2019 14:35:16 -0500

gazelle-installer (19.2.1) mx; urgency=medium

  * update regex on username check
  * 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 06 Feb 2019 19:02:04 -0500

gazelle-installer (19.1.2) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 09:21:12 -0500

gazelle-installer (19.1.1) mx; urgency=medium

  * stability improvement

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Jan 2019 22:40:42 -0500

gazelle-installer (19.1) mx; urgency=medium

  * don't link /tmp to /var/tmp
  * create keyfile for swap only if swap is encrypted

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Jan 2019 15:41:46 -0500

gazelle-installer (18.12.3) mx; urgency=medium

  * accomdate memtest 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 15 Dec 2018 10:09:43 -0500

gazelle-installer (18.12.2) mx; urgency=medium

  * filter out BOOT_IMAGE live boot code
  * 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 13 Dec 2018 17:21:10 -0500

gazelle-installer (18.12.1) mx; urgency=medium

  * remove encrptfs-utils dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Dec 2018 11:28:44 -0500

gazelle-installer (18.12) mx; urgency=medium

  * fix root install

 -- Adrian <adrian@mxlinux.org>  Mon, 03 Dec 2018 22:18:03 -0500

gazelle-installer (18.11.02) mx; urgency=medium

  * filter out vga=ask from bootcodes
  * disable adding swap as resume device to initramfs if swap is encrypted 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 26 Nov 2018 22:02:49 -0500

gazelle-installer (18.11.01) mx; urgency=medium

  * revised text in installer 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 23 Nov 2018 13:24:48 -0500

gazelle-installer (18.11) mx; urgency=medium

  * added full disk encryption option (LUKS)

 -- Adrian <adrian@mxlinux.org>  Sat, 17 Nov 2018 12:55:59 -0500

gazelle-installer (18.10.01) mx; urgency=medium

  * adjusted /etc/adjtime settings for LOCAL/UTC 

 -- dolphin <dolphinoracle@gmail.com>  Wed, 17 Oct 2018 21:42:58 -0400

gazelle-installer (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:43:31 -0400

gazelle-installer (18.8.1) mx; urgency=medium

  * fix localization problem when selecting swap partition

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Aug 2018 20:49:07 -0400

gazelle-installer (18.8) mx; urgency=medium

  * fix icon for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:21:47 -0400

gazelle-installer (18.7.1) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Jul 2018 08:37:28 -0400

gazelle-installer (18.7) mx; urgency=medium

  * change UI for partition selection
  * allows installing /home on different file type than root
  * fix default /home label 

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Jul 2018 01:28:07 -0400

gazelle-installer (18.6.3) mx; urgency=medium

  * added debugging info 

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Jun 2018 09:08:14 -0400

gazelle-installer (18.6.2) mx; urgency=medium

  * Fix crash, enable back button on some steps

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Jun 2018 18:08:05 -0400

gazelle-installer (18.6.1) mx; urgency=medium

  * modified libcmd callouts (adrian)

 -- dolphinoracle <dolphin@mx>  Fri, 01 Jun 2018 06:55:30 -0400

gazelle-installer (18.5.4) mx; urgency=medium

  * adjust chown command

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 26 May 2018 16:38:55 -0400

gazelle-installer (18.5.3) unstable; urgency=medium

  *  use libcmd to call gparted...fix to video corruption issue

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 09 May 2018 21:34:08 -0400

gazelle-installer (18.5.2) unstable; urgency=medium

  * working on making POPULATE_MEDIA_MOUNTPOINTS configurable with btrfs changes 
  * moved rc.local.install and live-to-install scripts to data deb

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 30 Apr 2018 20:13:53 -0400

gazelle-installer (18.5.1) unstable; urgency=medium

  * more btrfs options

 -- anticapitalista <antix@operamail.com>  Tue, 24 Apr 2018 19:27:25 +0300

gazelle-installer (18.4.11) mx; urgency=medium

  * switch to gazelle-installer source base

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 16 Apr 2018 20:43:30 -0400

mx-installer (18.4.10) mx; urgency=medium

  * added nvme mmcblk device detection
  * added backup esp finder function 

 -- dolphinoracle <dolphin@mx>  Mon, 16 Apr 2018 19:19:46 -0400

mx-installer (18.4.09) mx; urgency=medium

  * added Desktop/Installer.desktop to live-to-installed 

 -- dolphinoracle <dolphin@mx>  Sat, 14 Apr 2018 19:46:31 -0400

mx-installer (18.4.08) mx; urgency=medium

  * modified keyboard setup so that multiple keyboards stay enabled 

 -- dolphinoracle <dolphin@mx>  Sat, 14 Apr 2018 19:22:29 -0400

mx-installer (18.4.07mx17) mx; urgency=medium

  * tweak to memain.ui 

 -- dolphinoracle <dolphin@mx>  Sat, 14 Apr 2018 12:31:47 -0400

mx-installer (18.4.06mx17) mx; urgency=medium

  *  text changes

 -- dolphinoracle <dolphin@mx>  Fri, 13 Apr 2018 22:52:04 -0400

mx-installer (18.4.05mx17) mx; urgency=medium

  * misc. changes to sync up antiX/mx installs
  * new live-to-installed script 
  * incorporating changes from anticapitalista 

 -- dolphinoracle <dolphin@mx>  Fri, 13 Apr 2018 18:38:35 -0400

mx-installer (18.4.04mx17) mx; urgency=medium

  * misc. changes for antiX/mx  

 -- dolphinoracle <dolphin@mx>  Wed, 11 Apr 2018 21:33:42 -0400

mx-installer (18.4.03mx17) mx; urgency=medium

  *  new services module (adrian)

 -- dolphinoracle <dolphin@mx>  Sun, 08 Apr 2018 20:08:53 -0400

mx-installer (18.4.01mx17) mx; urgency=medium

  * heavy modification in effort to make customizations easier
  * 32 bit UEFI installer 
  * installer.conf file

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 06 Apr 2018 21:42:55 -0400



=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: 	qt5-default,
            	qttools5-dev-tools,
            	debhelper (>= 9.2),
            	libcmd
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: mx-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
         gazelle-installer-data-mx, 
         fskbsetting, 
         os-prober, 
         gdisk, 
         partition-info , 
         antix-libs, 
         grub-efi-amd64-bin [amd64], 
         grub-efi-ia32-bin, 
         parted, 
         cryptsetup
Recommends: gparted
Description: Customizable GUI installer for MX Linux and antiX Linux
